Public Member Functions | Public Attributes | List of all members
libvisio::ForeignData Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions
| ForeignData ()

## Public Attributes
unsigned | typeId
unsigned | dataId
unsigned | type
unsigned | format
double | offsetX
double | offsetY
double | width
double | height
librevenge::RVNGBinaryData | data

## Constructor & Destructor Documentation

## § ForeignData()

libvisio::ForeignData::ForeignData | ( |  | ) |
| inline

## Member Data Documentation

## § data

librevenge::RVNGBinaryData libvisio::ForeignData::data

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), libvisio::VSDContentCollector::collectShape(), libvisio::VDXParser::getBinaryData(), libvisio::VSDXParser::getBinaryData(), libvisio::VSDParser::readForeignData(), and libvisio::VSDParser::readOLEData().

## § dataId

unsigned libvisio::ForeignData::dataId

Referenced by libvisio::VSDParser::handleStream(), and libvisio::VSDParser::readForeignData().

## § format

unsigned libvisio::ForeignData::format

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), libvisio::VSDContentCollector::collectShape(), libvisio::VSDXMLParserBase::readForeignData(), and libvisio::VSDParser::readForeignDataType().

## § height

double libvisio::ForeignData::height

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), libvisio::VSDContentCollector::collectShape(), libvisio::VSDParser::readForeignDataType(), libvisio::VDXParser::readForeignInfo(), and libvisio::VSDXParser::readShapeProperties().

## § offsetX

double libvisio::ForeignData::offsetX

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), libvisio::VSDContentCollector::collectShape(), libvisio::VSDParser::readForeignDataType(), libvisio::VDXParser::readForeignInfo(), and libvisio::VSDXParser::readShapeProperties().

## § offsetY

double libvisio::ForeignData::offsetY

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), libvisio::VSDContentCollector::collectShape(), libvisio::VSDParser::readForeignDataType(), libvisio::VDXParser::readForeignInfo(), and libvisio::VSDXParser::readShapeProperties().

## § type

unsigned libvisio::ForeignData::type

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), libvisio::VSDContentCollector::collectShape(), libvisio::VSDXMLParserBase::readForeignData(), and libvisio::VSDParser::readForeignDataType().

## § typeId

unsigned libvisio::ForeignData::typeId

Referenced by libvisio::VSDParser::readForeignDataType().

## § width

double libvisio::ForeignData::width

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), libvisio::VSDContentCollector::collectShape(), libvisio::VSDParser::readForeignDataType(), libvisio::VDXParser::readForeignInfo(), and libvisio::VSDXParser::readShapeProperties().

The documentation for this struct was generated from the following file:

- VSDTypes.h